List total inventory levels
Returns a list of TotalLevel objects showing aggregated inventory quantities
across all warehouses for each product.
This endpoint provides a system-wide view of inventory, combining quantities from all warehouses where products are stocked.
Authorizations
Query Parameters
Using the filtering syntax, you may filter the results using the following fields:
Product Fields:
id- Product entity ID (alias forproduct_id)product_id- Product entity IDsku- Product SKUproduct_name- Product nameproduct_type- Product type (normal, packaging, containers, supplies, infill)product_created_at- Product creation dateproduct_updated_at- Product last update datemerchant_id- Merchant/website IDvendor_sku- Vendor SKUexternal_id- External product IDbarcode- Product barcodegoods_type- Goods classificationis_enabled- Product enabled status (default: true)is_available- Product availability statusis_visible- Product visibility status
Inventory Fields:
updated_at- Inventory last updated timestampqty_allocated- Quantity allocated for ordersqty_backordered- Quantity backorderedqty_reserved- Quantity reserved for pickingqty_picked- Quantity picked but not packedqty_packed- Quantity packed but not yet shippedqty_expected- Quantity expected from deliveriesqty_processed- Quantity processed from deliveriesqty_putaway- Quantity waiting to be put awayqty_available- Quantity available for allocationqty_held- Quantity placed on hold (quarantined, damaged, expired, etc.)qty_on_hand- Total physical quantity on handqty_advertised- Quantity advertised to customers
The default sort order is descending by updated_at (sort=-updated_at).
Using the sorting syntax, the following fields are available for sorting:
idproduct_idskuupdated_at
Specify additional fields of the Product or Packaging* object to be included in the response.
basic, all, created_at, updated_at, container_options, supplies_options, data_collection_options, instruction_options, infill_options, vendor_sku, manufacturer_part_number, unit_level, external_id, barcodes, goods_type, is_available, is_visible, weight, dimensions, volume, inventory, export, regulated_goods, packaging, custom_fields If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the end of the next page of results, non-inclusive.
For collections sorted by id this is the last id. For other sort orders use the
opaque cursor provided by the previous link and meta.cursor_end of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the start of the next page of results.
For collections sorted by id this is the starting id. For other sort orders use the
opaque cursor provided by the next link and meta.cursor_start of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
Response
A dictionary with a collection property that contains an array of up to
limit TotalLevel objects. If no inventory levels are found the array will be empty.
Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.